body {
    margin: 2em;
    font-size: 100%;
    background-color: #141414;

    color: #fff;
}

header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

a {
    color: #fff;
    text-decoration: none;
}

a:hover {
    color: #ff00ff;
    transition: all 0.3s ease;
}

button {
    font-family: 'Roboto';
    padding: 0.3em 2em;
    font-size: 0.9em;

    color: #ffffffbb;
    background-color: #181818;
    border: 1px solid #242424;
    border-radius: 8px;
    margin-right: 40px;
    margin-bottom: 10px;
    cursor: pointer;
}

button:hover {
    color: #ff00ff;
    transition: all 0.3s ease;
}

h1 {
    font-size: 4em;
    margin-left: 0.4em;
}

h2 {
    font-size: 1.2em;
}

h2 a {
    font-size: 1.6em;
}

main>h2 {
    text-align: center;
}

article {
    text-align: left;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: auto;
    margin-bottom: 2em;
    width: 92%;
    padding: 15px;
    gap: 15px;

    background-color: #18181899;
    border: 1px solid #242424;
    border-radius: 20px;
}

footer {
    color: #ffffffbb
}

nav ul {
    list-style: none;
    display: flex;
    gap: 15px;
    margin-right: 30px;
    margin-bottom: 30px;
}

nav a {
    padding: 0.5em 1.5em;
    font-size: 1.2em;

    background-color: #181818;
    border: 1px solid #242424;
    border-radius: 8px;
}

.hentry {
    display: flex;
    flex-direction: row;
    justify-content: left;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

img {
    width: 225px;
    object-fit: scale-down;
    border-radius: 8px;
}

@media (max-width: 512px) {
    h2 {
        font-size: 1em;
    }
    div {
        font-size: 0.7em;
    }
}

@media (max-width: 720px) {
    header {
        flex-direction: column;
    }
    img {
        width: 150px;
    }
}